# Class BCF2LazyGenotypesDecoder

java.lang.Object
htsjdk.variant.bcf2.BCF2LazyGenotypesDecoder

All Implemented Interfaces:
  `LazyGenotypesContext.LazyParser`

public class BCF2LazyGenotypesDecoder extends Object implements LazyGenotypesContext.LazyParser
Lazy version of genotypes decoder for BCF2 genotypes

Since:
  5/12

## Method Summary

Modifier and Type
Method
Description
`LazyGenotypesContext.LazyData`
`parse(Object data)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### parse

public LazyGenotypesContext.LazyData parse(Object data)

Specified by:
  `parse` in interface `LazyGenotypesContext.LazyParser`